/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, markType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
var ScrollInfoUtilities = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ScrollInfoUtilities, _super);
    function ScrollInfoUtilities() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ScrollInfoUtilities.$t = markType(ScrollInfoUtilities, 'ScrollInfoUtilities');
    return ScrollInfoUtilities;
}(Base));
export { ScrollInfoUtilities };
